- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Texture2D.cpp File Reference

`#include "osg/Texture2D"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/Texture2D.cpp:

## Functions
bool | Texture2D_readLocalData (Object &obj, Input &fr)
bool | Texture2D_writeLocalData (const Object &obj, Output &fw)
bool | Texture2D_matchWrapStr (const char *str, Texture2D::WrapMode &wrap)
const char * | Texture2D_getWrapStr (Texture2D::WrapMode wrap)
bool | Texture2D_matchFilterStr (const char *str, Texture2D::FilterMode &filter)
const char * | Texture2D_getFilterStr (Texture2D::FilterMode filter)
bool | Texture2D_matchInternalFormatModeStr (const char *str, Texture2D::InternalFormatMode &mode)
const char * | Texture2D_getInternalFormatModeStr (Texture2D::InternalFormatMode mode)
bool | Texture2D_matchInternalFormatStr (const char *str, int &value)
const char * | Texture2D_getInternalFormatStr (int value)
## Variables
RegisterDotOsgWrapperProxy | g_OldTextureProxy (new osg::Texture2D,"Texture","Object StateAttribute Texture2D TextureBase", 0, 0)
RegisterDotOsgWrapperProxy | g_Texture2DProxy (new osg::Texture2D,"Texture2D","Object StateAttribute Texture2D TextureBase",&Texture2D_readLocalData,&Texture2D_writeLocalData)

## Function Documentation

const char* Texture2D_getFilterStr | ( | Texture2D::FilterMode | filter | ) |

const char* Texture2D_getInternalFormatModeStr | ( | Texture2D::InternalFormatMode | mode | ) |

const char* Texture2D_getInternalFormatStr | ( | int | value | ) |

const char* Texture2D_getWrapStr | ( | Texture2D::WrapMode | wrap | ) |

bool Texture2D_matchFilterStr | ( | const char * | str,
|  | Texture2D::FilterMode & | filter
| ) |

bool Texture2D_matchInternalFormatModeStr | ( | const char * | str,
|  | Texture2D::InternalFormatMode & | mode
| ) |

bool Texture2D_matchInternalFormatStr | ( | const char * | str,
|  | int & | value
| ) |

bool Texture2D_matchWrapStr | ( | const char * | str,
|  | Texture2D::WrapMode & | wrap
| ) |

bool Texture2D_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Texture2D_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_OldTextureProxy(new osg::Texture2D,"Texture","Object StateAttribute Texture2D TextureBase", 0, 0)

RegisterDotOsgWrapperProxy g_Texture2DProxy(new osg::Texture2D,"Texture2D","Object StateAttribute Texture2D TextureBase",&Texture2D_readLocalData,&Texture2D_writeLocalData)